Bug 797447 - Review Request: easybashgui - Bash function library
Summary: Review Request: easybashgui - Bash function library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-25 21:46 UTC by Matthieu Saulnier
Modified: 2012-03-24 19:08 UTC (History)
3 users (show)

Fixed In Version: easybashgui-4.0.2-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 19:03:34 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthieu Saulnier 2012-02-25 21:46:41 UTC
Spec URL: http://fantom.fedorapeople.org/easybashgui.spec
SRPM URL: http://fantom.fedorapeople.org/easybashgui-4.0.2-1.fc17.src.rpm
Description: 
EasyBashGUI is a bash function library that aims to give simple GUI functions
using gtkdialog, kdialog, zenity, Xdialog, dialog, or whiptail depending on
KDE or GNOME running or not, Gtkdialog or Xdialog installed or not and X server
running or not ( (c)dialog or whiptail is the minimum ). So, if bash programmer
writes: "message 'Thanks for using this program' ", he has not to worry in wich
environment his program runs: it is enough there is at least (c)dialog or
whiptail installed, and program will work as expected. Obviously, if user has
KDE, GNOME, or gtkdialog/Xdialog also installed ( and he's in a X session ),
program will have "an other look", but logical flow is *exactly* the same. In
EasyBashGUI "suite" there are a library ( "easybashgui_X.X.X" ), a script to
quick test it ( "easybashgui_test.sh" ), and a stand-alone script to create
dialog boxes externally ( "easydialog.sh" ). 

Hello, this is a new package for el6 and fedora >= 16

Comment 1 Remi Collet 2012-03-04 08:21:05 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines. GPLv3+
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
rpmlint easybashgui-4.0.2-1.fc18.src.rpm
easybashgui.src: W: spelling-error %description -l en_US wich -> winch, witch, which

rpmlint easybashgui-4.0.2-1.fc18.noarch.rpm
easybashgui.noarch: W: spelling-error %description -l en_US wich -> winch, witch, which
easybashgui.noarch: W: no-manual-page-for-binary easydialog
easybashgui.noarch: W: no-manual-page-for-binary easybashgui-test
easybashgui.noarch: W: no-manual-page-for-binary easybashgui

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL. (md5sum 0c084e5f2776182d2003f14410a00a88)
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: EasyBashGUI_%{version}.tar.gz
     (EasyBashGUI_%{version}.tar.gz) => only case.
[!]: SHOULD SourceX is a working URL. => ok as explain
[!]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass. => cannot be run in mock
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint easybashgui-4.0.2-1.fc18.src.rpm
easybashgui.src: W: spelling-error %description -l en_US wich -> winch, witch, which

Generated by fedora-review 0.1.2



MUST:
- fix trivial typo in %description
- easybashgui-test is not needed in /usr/bin
  provided this file in %doc seems a good idea

Comment 2 Matthieu Saulnier 2012-03-06 15:43:06 UTC
Thanks a lot Remi
I've corrected:
Spec URL: http://fantom.fedorapeople.org/easybashgui.spec
SRPM URL: http://fantom.fedorapeople.org/easybashgui-4.0.2-2.fc17.src.rpm

Comment 3 Remi Collet 2012-03-06 15:55:58 UTC
All MUST fixed

Would have prefer to delete the shebang line, something like
sed -i '/^#!/d' ./easybashgui_test.sh
But, this is only %doc


APPROVED

Comment 4 Matthieu Saulnier 2012-03-06 16:15:42 UTC
New Package SCM Request
=======================
Package Name: easybashgui
Short Description: Bash function library
Owners: fantom
Branches: f15 f16 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-03-06 16:41:45 UTC
Git done (by process-git-requests).

Added f17 branch.

Comment 6 Fedora Update System 2012-03-06 17:16:47 UTC
easybashgui-4.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/easybashgui-4.0.2-2.fc17

Comment 7 Fedora Update System 2012-03-06 17:24:37 UTC
easybashgui-4.0.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/easybashgui-4.0.2-2.fc16

Comment 8 Fedora Update System 2012-03-06 17:31:51 UTC
easybashgui-4.0.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/easybashgui-4.0.2-2.fc15

Comment 9 Fedora Update System 2012-03-06 17:46:34 UTC
easybashgui-4.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/easybashgui-4.0.2-2.el6

Comment 10 Fedora Update System 2012-03-06 19:32:52 UTC
easybashgui-4.0.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2012-03-21 19:03:34 UTC
easybashgui-4.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2012-03-22 01:59:03 UTC
easybashgui-4.0.2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2012-03-22 01:59:28 UTC
easybashgui-4.0.2-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2012-03-24 19:08:03 UTC
easybashgui-4.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.